Poshmark item
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-items"
payload = { "item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: 'Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_item",
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"item_id": "6865651dd6c0dc3f3fdfc8ea",
"domain": "poshmark.com",
"human": "# Poshmark item\n\n- **Item:** Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea\n- **Domain:** poshmark.com\n- **Proxy traffic:** 1.23 MB\n- **Title:** Lululemon Align Leggins\n- **Brand:** lululemon align\n- **Price:** $40 USD (was $98 USD)\n- **Size:** 10\n- **Availability:** available",
"machine": {
"listing": {
"@type": "PoshmarkListing",
"id": "6865651dd6c0dc3f3fdfc8ea",
"url": "https://poshmark.com/listing/Lululemon-Align-Leggins-6865651dd6c0dc3f3fdfc8ea",
"title": "Lululemon Align Leggins",
"description": "Lululemon Align Leggings in EUC. Size 10\n23\" inseam HR\nSlate Blue/ light blue",
"brand": "lululemon align",
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 40,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": {
"@type": "PoshmarkPrice",
"amount": 98,
"currency": "USD",
"currency_symbol": "$"
},
"condition": null,
"size": "10",
"size_system": "us",
"colors": [
{
"name": "Blue",
"rgb": "#137fc1"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "001c8975d97b4e80ef00a955",
"display": "Pants & Jumpsuits",
"slug": "Pants_&_Jumpsuits"
},
"subcategories": [
{
"id": "00b09287d97b4e80ef00a955",
"display": "Leggings",
"slug": "Leggings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2025/07/02/6865651dd6c0dc3f3fdfc8ea/m_686565892c9e44ec3c98bbc4.jpeg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2025/07/02/6865651dd6c0dc3f3fdfc8ea/m_69baa15fa951055392521d39.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2025/07/02/6865651dd6c0dc3f3fdfc8ea/m_69baa15ff59cc4bba8166d54.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 21,
"like_count": 28,
"comment_count": 3,
"has_offer": true,
"created_at": 1751475485,
"first_published_at": 1751475593,
"updated_at": 1790649298,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "5bd133dfde8c5281e758221b",
"alias": "trishabnanny",
"display_handle": "trishabnanny",
"full_name": "Trisha Barron",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2019/03/10/5bd133dfde8c5281e758221b/t_5c858298008f3ce077faa585.jpeg"
},
"sizes": [
{
"size": "10",
"size_system": "us",
"quantity_available": 1,
"quantity_reserved": 0,
"quantity_sold": 0
}
],
"style_tags": [],
"videos": [],
"likers": [
{
"@type": "PoshmarkUserPreview",
"id": "617d8af1f01bb2bce6b8aa96",
"alias": "samanthalaw708",
"display_handle": "samanthalaw708",
"full_name": "Samantha Law",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2022/10/13/6/t_63480f9bd5d2c14b291dfcd5.jpg"
},
{
"@type": "PoshmarkUserPreview",
"id": "5c075590afd55d2452b73ecc",
"alias": "tassparkle",
"display_handle": "tassparkle",
"full_name": "Sparkle T",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2018/12/05/5c075590afd55d2452b73ecc/t_5c089c5c25457a861325612c.jpg"
}
],
"comments": [
{
"@type": "PoshmarkComment",
"id": "69b9fc80cb08cf0511bd5826",
"text": "Can you please take a picture of the size dot, rip tag and the gusset area so I can make sure there’s no pilling please?",
"author": {
"@type": "PoshmarkUserPreview",
"id": "60e85bcfe1d9902bd6943c01",
"alias": "tiffany_shank",
"display_handle": "tiffany_shank",
"full_name": "Tiffany Shank",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/05/05/18/t_68195f5e020f934dc2a43508.jpg"
},
"created_at": 1773796480
},
{
"@type": "PoshmarkComment",
"id": "69ba147c7f1782865db5e873",
"text": "@tiffany_shank, It will be tomorrow before I can do that but I sure will.",
"author": {
"@type": "PoshmarkUserPreview",
"id": "5bd133dfde8c5281e758221b",
"alias": "trishabnanny",
"display_handle": "trishabnanny",
"full_name": "Trisha Barron",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2019/03/10/5bd133dfde8c5281e758221b/t_5c858298008f3ce077faa585.jpeg"
},
"created_at": 1773802620
}
],
"shipping_discount_type": null
},
"proxy_traffic_bytes": 1285510
},
"total_points": 5
}E-commerce & Marketplaces
Poshmark item
Get one Poshmark listing by id or URL: price, brand, size, colors, category, photos, likes/comments, seller and the likers/comments shown on the page. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-poshmark-items
Poshmark item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.